---

- name: Disable root login over SSH
  ansible.builtin.lineinfile: dest=/etc/ssh/sshd_config regexp="^PermitRootLogin" line="PermitRootLogin no" state=present

- name: Disable password login
  ansible.builtin.lineinfile: dest=/etc/ssh/sshd_config regexp="^PasswordAuthentication" line="PasswordAuthentication no" state=present
  notify:
    - restart sshd
